
Summary: LDAP authorization module for the Apache HTTP Server
Name: mod_authz_ldap
Version: 0.22
Release: 3.XOS.1
License: BSD
Group: System Environment/Daemons
URL: http://authzldap.othello.ch/
Source0: %{name}-%{version}.tar.gz
Source1: mod_authz_ldap.conf
Patch0: mod_authz_ldap-0.22-build.patch
Patch1: mod_authz_ldap-0.22-hook.patch
Patch2: mod_authz_ldap-0.22-passlog.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: httpd-devel, openssl-devel, openldap-devel
Requires: openldap
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn)
Obsoletes: auth_ldap

%description
The mod_authz_ldap package provides support for authenticating
users of the Apache HTTP server against an LDAP database.
mod_authz_ldap features the ability to authenticate users based on
the SSL client certificate presented, and also supports password
aging, and authentication based on role or by configured filters.

%prep
%setup -q
%patch0 -p1 -b .build
%patch1 -p1 -b .hook
%patch2 -p1 -b .passlog

%build
%configure --with-apxs=%{_sbindir}/apxs

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install the DSO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m 755 module/.libs/mod_authz_ldap.so \
   $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# install the schema
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
install -m 644 ldap/authzldap.schema \
   $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema

# install the conf.d fragment
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_authz_ldap.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/authz_ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/httpd/conf.d/authz_ldap.conf
%{_libdir}/httpd/modules/*.so
%{_bindir}/cert*
%{_mandir}/man1/cert*
%{_sysconfdir}/openldap/schema/*.schema
%doc docs/*.{html,jpg} docs/*.{HOWTO,txt} docs/README NEWS AUTHORS ChangeLog COPYING INSTALL

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.22-3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on mod_authz_ldap-0.22-3.src.rpm
  (md5sum of original source rpm: a2bb2fb4ff1992c39ad57c4685275046).

* Fri Sep  5 2003 Joe Orton <jorton@redhat.com> 0.22-3
- don't log the password on auth failure
- obsolete auth_ldap

* Mon Aug  4 2003 Joe Orton <jorton@redhat.com> 0.22-2
- hook up to ssl_var_lookup() in mod_ssl correctly
- include example conf file

* Mon Jun 30 2003 Joe Orton <jorton@redhat.com> 0.22-1
- Initial build.


